Page MenuHomeFreeBSD

Use ixgbe-specific malloc type
AbandonedPublic

Authored by cramerj_intel.com on Jun 23 2016, 5:45 PM.

Details

Reviewers
sbruno
Group Reviewers
Intel Networking
Summary

For all malloc operations, define and use M_IXGBE malloc type to more easily view memory usage in vmstat.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 4320
Build 4365: arc lint + arc unit

Event Timeline

cramerj_intel.com retitled this revision from to Use ixgbe-specific malloc type.
cramerj_intel.com updated this object.
cramerj_intel.com edited the test plan for this revision. (Show Details)
cramerj_intel.com set the repository for this revision to rS FreeBSD src repository.
sbruno accepted this revision.Jun 28 2016, 4:22 PM
sbruno edited edge metadata.

stlgtm

This revision is now accepted and ready to land.Jun 28 2016, 4:22 PM

Will erj@ commit this or do you need one of us to do it?

Just an FYI, we need to wait for the entire patch set (which include Denverton support) to get reviewed and tested before anything gets committed, otherwise we'll run into dependency issues. These patches are just a precursor to the major changes.

cramerj_intel.com abandoned this revision.Oct 5 2016, 3:58 PM

Abandoning for now. Will resubmit this patch along with many more changes in a different review.